
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #218

"Close Playlist" dialog ignores GTK dialog button order
Status: Closed Start date: November 26, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: libaudgui Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.2   

Description

When gtk-alternative-button-order=0, GTK+ applications are supposed to put the OK/Yes/Confirm button to the right of the

Cancel/No button. (GNOME/MacOS order)

However, contrary to every other application on my desktop (including Qt applications via GtkStyle), Audacious's "Close Playlist"

dialog uses KDE/Windows button order and puts "Yes" to the left of "No".

History

#1 - November 26, 2012 16:51 - Thomas Lange

- File confirm.patch added

- Category changed from plugins/gtkui to libaudgui

Thanks for your bug report Stephan.

The bug is caused by using a GtkWindow with custom content instead of a GtkMessageDialog.

Attached is a patch which fixes this. John, please review.

Should I use a gpointer parameter in "confirm_delete_cb()"?

#2 - November 27, 2012 00:24 - John Lindgren

Looks good.  Personally I prefer (void *) instead of gpointer, int instead of gint, etc.

#3 - November 27, 2012 14:32 - Thomas Lange

Fixed: https://github.com/audacious-media-player/audacious/commit/f2f1b8fc23b0e0c1ad8883c9d3b9789837807438

#4 - November 27, 2012 14:32 - Thomas Lange

- Status changed from New to Resolved

#5 - November 27, 2012 14:32 - Thomas Lange

- Status changed from Resolved to Closed

Files

snapshot1.png 19.8 KBNovember 26, 2012 Stephan Sokolow

snapshot2.png 10.8 KBNovember 26, 2012 Stephan Sokolow

snapshot3.png 18.8 KBNovember 26, 2012 Stephan Sokolow

confirm.patch 4.42 KBNovember 26, 2012 Thomas Lange

Powered by TCPDF (www.tcpdf.org)

May 07, 2025 1/1

https://github.com/audacious-media-player/audacious/commit/f2f1b8fc23b0e0c1ad8883c9d3b9789837807438
http://www.tcpdf.org

